from zeep import Client
import base64

# Przykład wywołania metody getCertificate, umożliwiającej wygenerowanie potwierdzenia nadania przesyłki

login = '' # Login konta w Postivo.pl
api_pass = '' # Hasło dostępu do konta przez API

# Identyfikator przesyłki, dla którego pobieramy potwierdzenie
dispatch_id = "T0000091";

try:
# Utworzenie klienta SOAP:
    client = Client("https://api.postivo.pl/webservices.php?wsdl")

# Wywołanie metody getCertificate z przekazaniem wszystkich parametrów
    request_data={'login' : login,
                  'api_pass' : api_pass,
                  'dispatch_id' : dispatch_id,
                  'certificate_type' : 1
                  }

    output=client.service.getCertificate(**request_data)

# Przykład obsługi danych wyjściowych:
    print("Status żądania: "+output['result']+", kod statusu żądania: "+output['result_code']+", opis statusu żądania: "+output['result_description'])
    if output['cert_available']:
        print("Potwierdzenie jest dostępne");
        
        filename = 'potwierdzenie.pdf';
        pdf = open(filename, 'wb')
    
        pdf.write(base64.b64decode(output['cert_content']))
        pdf.close()
        print("Potwierdzenie zostało zapisane w pliku "+filename);
    else:
        print("Potwierdzenie nie jest dostępne");
        
except:
    print("Wystąpił błąd")
